<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="703ad11f-b4a0-4ef5-b599-2434160c9508" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <task path="$PROJECT_DIR$">
          <activation />
        </task>
        <projects_view>
          <tree_state>
            <expand>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="My Hilt Jaoco Test" type="f1a62948:ProjectNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="My Hilt Jaoco Test" type="f1a62948:ProjectNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="My Hilt Jaoco Test" type="f1a62948:ProjectNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
                <item name="other" type="c8890929:TasksNode$1" />
              </path>
              <path>
                <item name="" type="6a2764b6:ExternalProjectsStructure$RootNode" />
                <item name="My Hilt Jaoco Test" type="f1a62948:ProjectNode" />
                <item name="Tasks" type="e4a08cd1:TasksNode" />
                <item name="verification" type="c8890929:TasksNode$1" />
              </path>
            </expand>
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
        <option value="Kotlin Class" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="1gxAW9ZZpYRNcd3ozotQB8gGzKs" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="android.sdk.path" value="$PROJECT_DIR$/../../../Apps/Android/sdk" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/app/src/test/res" />
    <property name="project.structure.last.edited" value="Dependencies" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="AndroidSdkUpdater" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Dev\Workspace\android\MyHiltJaocoTest\app\src\test\res" />
    </key>
  </component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="gradle app:jacocoTestReportDebug" />
      <command value="gradle clean app:jacocoTestReportDebug" />
    </option>
  </component>
  <component name="RunManager" selected="Gradle.MyHiltJaocoTest [clean app:jacocoTestReportDebug]">
    <configuration name="MainActivityTest (1)" type="AndroidJUnit" factoryName="Android JUnit" temporary="true" nameIsGenerated="true">
      <module name="app" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.github.goldy1992.hiltjacoco.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.github.goldy1992.hiltjacoco" />
      <option name="MAIN_CLASS_NAME" value="com.github.goldy1992.hiltjacoco.MainActivityTest" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="MainActivityTest" type="AndroidJUnit" factoryName="Android JUnit" temporary="true" nameIsGenerated="true">
      <module name="app" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.github.goldy1992.hiltjacoco.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.github.goldy1992.hiltjacoco" />
      <option name="MAIN_CLASS_NAME" value="com.github.goldy1992.hiltjacoco.MainActivityTest" />
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="MyHiltJaocoTest [app:jacocoTestReportDebug]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" value="" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="app:jacocoTestReportDebug" />
          </list>
        </option>
        <option name="vmOptions" value="" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>true</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <configuration name="MyHiltJaocoTest [clean app:jacocoTestReportDebug]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" value="" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="clean" />
            <option value="app:jacocoTestReportDebug" />
          </list>
        </option>
        <option name="vmOptions" value="" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>true</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <configuration name="MyHiltJaocoTest [jacocoTestReportDebug]" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value="jacocoTestReportDebug" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>true</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Gradle.MyHiltJaocoTest [clean app:jacocoTestReportDebug]" />
        <item itemvalue="Gradle.MyHiltJaocoTest [app:jacocoTestReportDebug]" />
        <item itemvalue="Gradle.MyHiltJaocoTest [jacocoTestReportDebug]" />
        <item itemvalue="Android JUnit.MainActivityTest (1)" />
        <item itemvalue="Android JUnit.MainActivityTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="703ad11f-b4a0-4ef5-b599-2434160c9508" name="Default Changelist" comment="" />
      <created>1599045898504</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1599045898504</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="158" y="72" key="#PSD" timestamp="1599058751451">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="158" y="72" key="#PSD/0.0.1280.680@0.0.1280.680" timestamp="1599058751451" />
    <state x="371" y="87" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1599046789241">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="371" y="87" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1280.680@0.0.1280.680" timestamp="1599046789241" />
    <state x="221" y="95" key="AndroidCreateResourceDirectoryDialog" timestamp="1599048605869">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="221" y="95" key="AndroidCreateResourceDirectoryDialog/0.0.1280.680@0.0.1280.680" timestamp="1599048605869" />
    <state x="422" y="95" key="FileChooserDialogImpl" timestamp="1599052734669">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="422" y="95" key="FileChooserDialogImpl/0.0.1280.680@0.0.1280.680" timestamp="1599052734669" />
    <state width="591" height="161" key="GridCell.Tab.0.bottom" timestamp="1599081974650">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="591" height="161" key="GridCell.Tab.0.bottom/0.0.1280.680@0.0.1280.680" timestamp="1599081974650" />
    <state width="591" height="161" key="GridCell.Tab.0.center" timestamp="1599081974650">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="591" height="161" key="GridCell.Tab.0.center/0.0.1280.680@0.0.1280.680" timestamp="1599081974650" />
    <state width="591" height="161" key="GridCell.Tab.0.left" timestamp="1599081974649">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="591" height="161" key="GridCell.Tab.0.left/0.0.1280.680@0.0.1280.680" timestamp="1599081974649" />
    <state width="591" height="161" key="GridCell.Tab.0.right" timestamp="1599081974650">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="591" height="161" key="GridCell.Tab.0.right/0.0.1280.680@0.0.1280.680" timestamp="1599081974650" />
    <state width="591" height="172" key="GridCell.Tab.1.bottom" timestamp="1599081647540">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="591" height="172" key="GridCell.Tab.1.bottom/0.0.1280.680@0.0.1280.680" timestamp="1599081647540" />
    <state width="591" height="172" key="GridCell.Tab.1.center" timestamp="1599081647540">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="591" height="172" key="GridCell.Tab.1.center/0.0.1280.680@0.0.1280.680" timestamp="1599081647540" />
    <state width="591" height="172" key="GridCell.Tab.1.left" timestamp="1599081647540">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="591" height="172" key="GridCell.Tab.1.left/0.0.1280.680@0.0.1280.680" timestamp="1599081647540" />
    <state width="591" height="172" key="GridCell.Tab.1.right" timestamp="1599081647540">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state width="591" height="172" key="GridCell.Tab.1.right/0.0.1280.680@0.0.1280.680" timestamp="1599081647540" />
    <state x="142" y="0" key="SettingsEditor" timestamp="1599052089710">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="142" y="0" key="SettingsEditor/0.0.1280.680@0.0.1280.680" timestamp="1599052089710" />
    <state x="297" y="153" width="672" height="677" key="run.anything.popup" timestamp="1599059124728">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="297" y="153" width="672" height="677" key="run.anything.popup/0.0.1280.680@0.0.1280.680" timestamp="1599059124728" />
    <state x="303" y="1" width="672" height="678" key="search.everywhere.popup" timestamp="1599060078213">
      <screen x="0" y="0" width="1280" height="680" />
    </state>
    <state x="303" y="1" width="672" height="678" key="search.everywhere.popup/0.0.1280.680@0.0.1280.680" timestamp="1599060078213" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="kotlin-line">
          <url>file://$PROJECT_DIR$/app/src/test/java/com/github/goldy1992/hiltjacoco/MainActivityTest.kt</url>
          <line>38</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>